<?php
// Licensed under the GPL v2&

defined('_JEXEC') or die('Restricted access');


class PoptinController extends JControllerLegacy
{
	function display($cachable = false, $urlparams = false)
	{
		$input = JFactory::getApplication()->input;
		$input->set('view', $input->getCmd('view', 'Poptin'));

        $params = JComponentHelper::getParams('com_poptin');
        $poptinUserId = $params->get('poptin_user_id');
        $poptinToken = $params->get('poptin_token');

        if (!empty($poptinUserId) && !empty($poptinToken)) {
            $response = PoptinApi::authorizeAccount($poptinToken, $poptinUserId);

            if (!isset($response['success']) || ! $response['success']) {
                $this->setMessage($response['message'], 'error');
            }
        }

		parent::display($cachable);
	}
}