<?php
// Licensed under the GPL v2&

defined('_JEXEC') or die;

//use Joomla\CMS\Http\HttpFactory;

class PoptinApi
{
    const POPTIN_REGISTER_API_URL = 'https://app.popt.in/api/marketplace/register';
    const POPTIN_AUTH_API_URL = 'https://app.popt.in/api/marketplace/auth';

    public static function createAccount($email)
    {
        $headers = array(
            "Cache-Control: no-cache",
            "Content-Type: application/x-www-form-urlencoded"
        );

        $data = array(
            'email' => $email,
            'marketplace' => 'joomla'
        );

        $http = new JHttp();
        $response = $http->post(self::POPTIN_REGISTER_API_URL, $data, $headers);

//        $response = JHttpFactory::getHttp()->post(self::POPTIN_REGISTER_API_URL, $data, $headers);
        return json_decode($response->body, true);

    }

    public static function authorizeAccount($token, $userId)
    {
        $headers = array(
            "Cache-Control: no-cache",
            "Content-Type: application/x-www-form-urlencoded"
        );

        $data = array(
            'token' => $token,
            'user_id' => $userId
        );

        $http = new JHttp();
        $response = $http->post(self::POPTIN_AUTH_API_URL, $data, $headers);

//        $response = JHttpFactory::getHttp()->post(self::POPTIN_AUTH_API_URL, $data, $headers);
        return json_decode($response->body, true);
    }


}
