<?php
// Licensed under the GPL v2&

defined('_JEXEC') or die;


class PoptinData
{
    public static function updateData($data, $controller)
    {
        $params = JComponentHelper::getParams('com_poptin');

        $params->set('poptin_user_id',   $data['poptin_user_id']);
        $params->set('poptin_client_id', $data['poptin_client_id']);
        $params->set('poptin_token',     $data['poptin_token']);

        $componentId = JComponentHelper::getComponent('com_poptin')->id;
        $table = JTable::getInstance('extension');
        $table->load($componentId);
        $table->bind(array('params' => $params->toString()));

        if (!$table->check()) {
            $controller->setMessage($table->getError(), 'error');
            return false;
        }

        if (!$table->store()) {
            $controller->setMessage($table->getError(), 'error');
            return false;
        }
        return true;
    }
}