<?php
// Licensed under the GPL v2&

defined('_JEXEC') or die('Restricted access');

$siteUrl =  str_replace('/administrator/', '', JURI::base());

$document = JFactory::getDocument();
$document->addStyleSheet($siteUrl . '/media/com_poptin/css/bootstrap.min.css');
$document->addStyleSheet($siteUrl . '/media/com_poptin/css/poptin-admin.css');
$document->addScript($siteUrl . '/media/com_poptin/js/poptin.js');

$poptinidcheck = !empty($this->poptinUserId);

$writeReviewUrl = "https://extensions.joomla.org/extensions/";
$baseUrl = 'https://app.popt.in';
// dev
//$baseUrl = 'https://devdog.popt.in';

$deactivatePluginUrl = 'index.php?option=com_poptin&task=poptin.delete';
$redirectToLoginUrl = 'index.php?option=com_poptin&task=poptin.redirectlogin';
$createAccoutnUrl = 'index.php?option=com_poptin&task=poptin.create';
$saveUserIdUrl = 'index.php?option=com_poptin&task=poptin.save';
$backUrl = '#';

$resetPasswordUrl = $baseUrl . '/password/reset';

?>

<script type="text/javascript">
    poptinModule({
        parrotGifUrl: "<?php echo $siteUrl . '/media/com_poptin/images/poptin/parrot.gif' ?>",
        parrotPngUrl: "<?php echo $siteUrl . '/media/com_poptin/images/poptin/parrot.png' ?>",
        poptinRegisterApiUrl : "https://app.popt.in/api/marketplace/register",
        poptinAuthApiUrl : "https://app.popt.in/api/marketplace/auth",
        poptinDeactivatePluginUrl : "<?php echo $deactivatePluginUrl; ?>",
        poptinRedirectToLoginUrl : "<?php echo $redirectToLoginUrl; ?>"
    });
</script>

<style type="text/css">
    .alert-heading {
        display: none;
    }
</style>

<div class="poptin-overlay"></div>
<div class="wrap poptinWrap">
    <!-- Logo -->
    <div class="poptinLogo"><img src="<?php echo $siteUrl . '/media/com_poptin/images/poptin/poptinlogo.png'; ?>"/></div>

    <div class="poptinLogged" style="<?php echo($poptinidcheck ? 'display:block' : 'display:none') ?>">
        <!-- Here will render after login/create account view -->
        <div class="poptinLoggedBg"
             style="background:url('<?php echo $siteUrl .'/media/com_poptin/images/poptin/loggedinbg.png'?>') no-repeat">
            <form id="logmein_form" action="#" method="POST">
                <input type="hidden" name="action" value="poptin_logmein" class="poptin_input"/>
                <input type="hidden" name="logmein" value="true" class="poptin_input"/>
                <input type="hidden" name="security" class="poptin_input"
                       value="<?php //!! echo wp_create_nonce("poptin-fe-login"); ?>"/>
            </form>
            <h2 class="loggedintitle">You're all set!</h2>
            <div class="tinyborder"></div>
            <span class="everythinglooks">"You're all set!<br>Click on the button below<br>to manage your poptins"</span>
            <img src="<?php echo $siteUrl . '/media/com_poptin/images/poptin/vicon.png' ?>"/>
            <a href="<?php echo $redirectToLoginUrl; ?>" target="_blank"
               class="ppcontrolpanel goto_dashboard_button_pp_updatable">Go to Dashboard</a>
            <a href="#logout" class="pplogout">Deactivate Poptin</a>
        </div>

        <div class="clearfix"></div>
        <!-- -->

        <div class="poptinContent review">
            <h2 class="poptinTitle">Let us know what you think 🙂</h2>
            <div class="tinyborder"></div>
            <div class="reviewbox"
                 style="background:url('<?php echo $siteUrl . '/media/com_poptin/images/poptin/reviewframe.png'; ?>') no-repeat">
                <div class="reviewtitle">
                    If Poptin already helped you to grow your business, please click on the button below and leave a positive review
                    <?php /*<img draggable="false" class="emoji" alt="🙂" src="https://s.w.org/images/core/emoji/2.4/svg/1f642.svg">*/ ?>🙂
                </div>
                <div class="reviewstars">
                    <img src="<?php echo $siteUrl . '/media/com_poptin/images/poptin/stars.png'; ?>"/>
                </div>
                <div class="reviewlink">
                    <a href="<?php echo $writeReviewUrl; ?>"
                       target="_blank">Write a Review</a>
                </div>
            </div>
        </div>

    </div>


    <div class="ppaccountmanager" style="<?php echo($poptinidcheck ? 'display:none' : 'display:block') ?>">
        <div class="popotinRegister">
            <!-- Here will render register view -->
            <div class="accountWrapper"
                 style="background:url('<?php echo $siteUrl .'/media/com_poptin/images/poptin/accountboxsignup.png';?>') no-repeat">
                <div class="poptinWrapInner">
                    <div class="topAccountBar sign_up_for_free_wrapper">
                        <span class="ppRegister active">Sign up for free</span>
                        <span class="ppSeparator"></span>
                        <a href="#" class="ppLogin">Already have account?</a>
                        <div class="clearfix"></div>
                    </div>
                    <form id="registration_form" class="ppFormRegister ppForm" action="<?php echo $createAccoutnUrl; ?>" target=""
                          method="POST">
                        <!--                        <input type="hidden" name="form_key" value="--><?php ///* @escapeNotVerified */ echo $this->getFormKey() ?><!--" />-->

                        <input class="poptin_input" type="text" id="email" name="email" placeholder="Enter your email"
                               value="<?php //echo $admin_email; ?>"
                               placeholder="example@poptin.com"/>
                        <input type="hidden" name="action" class="poptin_input" value="poptin_register"/>
                        <input type="hidden" name="register" class="poptin_input" value="true"/>
                        <input type="hidden" name="security" class="poptin_input"
                               value="<?php //!! echo wp_create_nonce("poptin-fe-register"); ?>"/>
                        <div class="bottomForm">
                            <input class="ppSubmit pp_signup_btn poptin_signup_button" type="submit"
                                   value="Sign Up"/>
                        </div>
                    </form>
                </div>
            </div>
        </div>
        <div class="popotinLogin" style="display:none">
            <!-- Here will render login view -->
            <div class="accountWrapper"
                 style="background:url('<?php echo $siteUrl . '/media/com_poptin/images/poptin/accountbox.png';?>') no-repeat">
                <div class="poptinWrapInner">
                    <div class="topAccountBar poptin_login_wrapper">
                        <span class="ppLogin active">Enter your user ID</span><span
                                class="ppSeparator"></span><a href="#"
                                                              class="ppRegister">Sign up for free</a>
                    </div>
                    <form id="map_poptin_id_form" class="ppFormLogin ppForm" action="<?php echo $saveUserIdUrl; ?>" method="post">
                        <!--                        <input type="hidden" name="form_key" value="--><?php ///* @escapeNotVerified */ echo $this->getFormKey() ?><!--" />-->
                        <input type="text" name="poptin_user_id" value="" placeholder="Enter your User ID" class="poptin_input"/>
                        <div class="bottomForm remove_top_margin">
                            <a href="#" data-toggle="modal" data-target="#whereIsMyId"
                               class="wheremyid js-wheremyid">Where is my user ID?</a>
                            <input class="ppSubmit poptin_submit_button" type="submit" value="Connect"/>
                        </div>
                    </form>
                </div>
            </div>
        </div>
        <div class="clearfix"></div>
        <div class="poptinContent">
            <h2 class="poptinTitle">Create your first poptin with ease</h2>
            <div class="tinyborder"></div>
            <div class="youtubeVideoContainer"
                 style="background:url('<?php echo $siteUrl .'/media/com_poptin/images/poptin/youtubeBackground.png'?>') no-repeat">
                <div class="youtubeVideo">
                    <iframe width="905" height="509"
                            src="https://www.youtube.com/embed/R_B8L3abt7Q?rel=0&amp;showinfo=0" frameborder="0"
                            allowfullscreen></iframe>
                </div>
            </div>
        </div>
        <div class="clearfix"></div>
        <div class="poptinContent whyChoose">
            <h2 class="poptinTitle">Here’s What Poptin Can Do For You</h2>
            <div class="tinyborder"></div>
            <div class="innerContent">
                <div class="box boxEnv">
                    <div class="boxIcon"><img src="<?php echo $siteUrl . '/media/com_poptin/images/poptin/envelope.png'?>"/></div>
                    <div class="boxTitle">Get more email subscribers</div>
                </div>
                <div class="box boxLeads">
                    <div class="boxIcon"><img src="<?php echo $siteUrl .'/media/com_poptin/images/poptin/fanel.png';?>"/></div>
                    <div class="boxTitle">Get more leads and sales</div>
                </div>
                <div class="box boxCart">
                    <div class="boxIcon"><img src="<?php echo $siteUrl . '/media/com_poptin/images/poptin/wheel.png';?>"/></div>
                    <div class="boxTitle">Reduce shopping cart abandonedment</div>
                </div>
                <div class="box boxHeart">
                    <div class="boxIcon"><img src="<?php echo $siteUrl . '/media/com_poptin/images/poptin/heart.png';?>"/></div>
                    <div class="boxTitle">Increare visitors' engagement</div>
                </div>
            </div>
        </div>
        <div class="clearfix"></div>
        <div class="poptinContent clients">
            <h2 class="poptinTitle">Digital Marketers ♥ Poptin</h2>
            <div class="tinyborder"></div>
            <div class="innerContent">
                <div class="boxclient client1">
                    <div class="boxclientHead"
                         style="background:url('<?php echo $siteUrl .'/media/com_poptin/images/poptin/client1bg.png'?>') no-repeat">
                        <img src="<?php echo $siteUrl . '/media/com_poptin/images/poptin/profile1.png';?>"/>
                    </div>
                    <div class="clientboxtext">
                        <span class="clientName">Michael Kamleitner</span>
                        <span class="clientCompany">CEO, Walls.io</span>
                        Getting started with poptin was a breeze – we've implemented the widget and connected it to our newsletter within minutes. Our conversion rate skyrocketed!
                    </div>
                </div>
                <div class="boxclient client2">
                    <div class="boxclientHead"
                         style="background:url('<?php echo $siteUrl . '/media/com_poptin/images/poptin/client2bg.png'?>') no-repeat">
                        <img src="<?php echo $siteUrl . '/media/com_poptin/images/poptin/profile2.png';?>"/>
                    </div>
                    <div class="clientboxtext">
                        <span class="clientName">Deepak Shukla</span>
                        <span class="clientCompany">CEO, Purr Traffic</span>
                        Been v.impressed with Poptin and the team behind it so far. Great responses times from support. The roadmap looks great. I highly recommend.
                    </div>
                </div>
                <div class="boxclient client3">
                    <div class="boxclientHead"
                         style="background:url('<?php echo $siteUrl .'/media/com_poptin/images/poptin/client3bg.png';?>') no-repeat">
                        <img src="<?php echo $siteUrl . '/media/com_poptin/images/poptin/profile3.png';?>"/>
                    </div>
                    <div class="clientboxtext">
                        <span class="clientName">Michael Voiskoun</span>
                        <span class="clientCompany">Marketing manager, Engie</span>
                        It's super easy to use, doesn't require any prior coding skill. The team at Poptin is really helpful, providing great support, and adding always more features!
                    </div>
                </div>
            </div>
        </div>
        <div class="clearfix"></div>
        <div class="poptinContent review">
            <h2 class="poptinTitle">Let us know what you think 🙂</h2>
            <div class="tinyborder"></div>
            <div class="reviewbox"
                 style="background:url('<?php echo $siteUrl . '/media/com_poptin/images/poptin/reviewframe.png'?>') no-repeat">
                <div class="reviewtitle">
                    If Poptin already helped you to grow your business, please click on the button below and leave a positive review
                    <?php /*<img draggable="false" class="emoji" alt="🙂" src="https://s.w.org/images/core/emoji/2.4/svg/1f642.svg">*/ ?>🙂
                </div>
                <div class="reviewstars">
                    <img src="<?php echo $siteUrl . '/media/com_poptin/images/poptin/stars.png'?>"/>
                </div>
                <div class="reviewlink">
                    <a href="<?php echo $writeReviewUrl; ?>"
                       target="_blank">Write a Review</a>
                </div>
            </div>
        </div>
    </div>

    <div class="clearfix"></div>
    <div class="poptinContent footer-poptin">

        <img class="parrot" src="<?php echo $siteUrl . '/media/com_poptin/images/poptin/parrot.png'?>"/>
        <span class="poptinlove">Visit us at <a
                    href="https://www.poptin.com/?utm_source=joomla<?php echo $this->version;?>"
                    target="_blank">poptin.com</a></span>
    </div>
</div>

<!-- Modal -->
<div id="whereIsMyId" class="modal fade" role="dialog" style="margin-top: 110px;direction: ltr;">
    <div class="modal-dialog poptin-lightbox">
        <div class="poptin-lightbox-header">Where is my user ID?</div>
        <div class="poptin-where-my-id-wrapper">
            <div class="poptin-where-my-id-01">
                <img class="where-my-id-3-images"
                     src="<?php echo $siteUrl . '/media/com_poptin/images/poptin/where-is-my-id-01.png'?>"/>
                <div class="poptin-where-my-id-smalltext">
                    <b>1.</b>&nbsp;Go to your dashboard, in the top bar click on "Settings"
                </div>
            </div>
            <div class="poptin-where-my-id-02">
                <img class="where-my-id-3-images"
                     src="<?php echo $siteUrl .'/media/com_poptin/images/poptin/where-is-my-id-02.png'?>"/>
                <div class="poptin-where-my-id-smalltext">
                    <b>2.</b>&nbsp;Click on Profile
                </div>
            </div>
            <div class="poptin-where-my-id-03">
                <img class="where-my-id-3-images"
                     src="<?php echo $siteUrl . '/media/com_poptin/images/poptin/where-is-my-id-03.png'?>"/>
                <div class="poptin-where-my-id-smalltext">
                    <b>3.</b>&nbsp;Copy your user ID
                </div>
            </div>
            <div class="clearfix"></div>
        </div>
        <div class="clearfix"></div>
        <div class="poptin-lightbox-button-wrapper text-align-right">
            <div class="poptin-lightbox-button" data-dismiss="modal">Close</div>
        </div>
    </div>
</div>

<!-- BYE BYE Modal -->
<div id="byebyeModal" class="modal fade" role="dialog" style="margin-top: 110px;direction: ltr;">
    <div class="modal-dialog poptin-lightbox-general">
        <img class="poptin-parrot-byebye-image" src="<?php echo $siteUrl .'/media/com_poptin/images/poptin/parrot-bye-bye.png'?>"/>
        <div class="poptin-lightbox-header-general">Bye Bye</div>
        <div class="poptin-lightbox-textcontent-general">
            Poptin snippet has been
            removed. See you around.
        </div>
        <div class="clearfix"></div>
        <div class="poptin-lightbox-button-wrapper text-align-center">
            <div class="poptin-lightbox-button" data-dismiss="modal">Close</div>
        </div>
    </div>
</div>

<!-- Just Making Sure Modal -->
<div id="makingsure" class="modal fade remove-poptin" role="dialog" style="margin-top: 110px;direction: ltr;">
    <div class="modal-dialog poptin-lightbox-general">
        <img class="poptin-parrot-makingsure-image"
             src="<?php echo $siteUrl . '/media/com_poptin/images/poptin/parrot-making-sure.png'?>"/>
        <div class="poptin-lightbox-header-general">Just making sure</div>
        <div class="poptin-lightbox-textcontent-general">
            Are you sure you want to<br/> remove Poptin?
        </div>
        <div class="clearfix"></div>
        <div class="poptin-lightbox-button-wrapper text-align-center">
            <div class="poptin-lightbox-button deactivate-poptin-confirm-yes">Yes</div>
            <div class="poptin-lightbox-atag" data-dismiss="modal">I'll stay</div>
        </div>
    </div>
</div>

<!-- Just Making Sure Modal -->
<div id="lookfamiliar" class="modal fade" role="dialog" style="margin-top: 110px;direction: ltr;">
    <div class="modal-dialog poptin-lightbox-general">
        <img class="poptin-parrot-familiar-image"
             src="<?php echo $siteUrl . '/media/com_poptin/images/poptin/parrot-familiar.png'?>"/>
        <div class="poptin-lightbox-header-general">You look familiar</div>
        <div class="poptin-lightbox-textcontent-general">
            You already have a Poptin<br/> account with this email address.
        </div>
        <div class="clearfix"></div>
        <div class="poptin-lightbox-button-wrapper text-align-center">
            <a class="poptin-lightbox-button login-from-lb" target="_blank" href="https://app.popt.in/login">Login</a>
            <div class="poptin-lightbox-atag" data-dismiss="modal">Cancel</div>
        </div>
    </div>
</div>


<!-- Wrong Email ID Modal -->
<div id="oopsiewrongemailid" class="modal fade" role="dialog" style="margin-top: 110px;direction: ltr;">
    <div class="modal-dialog poptin-lightbox-general">
        <img class="poptin-parrot-oopsie-image" src="<?php echo $siteUrl . '/media/com_poptin/images/poptin/parrot-oopsie.png'?>"/>
        <div class="poptin-lightbox-header-general">Oopsie... wrong Email</div>
        <div class="poptin-lightbox-textcontent-general">
            Please enter a valid Email Address.
        </div>
        <div class="clearfix"></div>
        <div class="poptin-lightbox-button-wrapper text-align-center">
            <div class="poptin-lightbox-button" data-dismiss="modal">Try again</div>
        </div>
    </div>
</div>

<!-- Just Making Sure Modal -->
<div id="oopsiewrongid" class="modal fade" role="dialog" style="margin-top: 110px;direction: ltr;">
    <div class="modal-dialog poptin-lightbox-general">
        <img class="poptin-parrot-oopsie-image" src="<?php echo $siteUrl .'/media/com_poptin/images/poptin/parrot-oopsie.png'?>"/>
        <div class="poptin-lightbox-header-general">Oopsie... wrong ID</div>
        <div class="poptin-lightbox-textcontent-general">
            <a href="#" class="poptin-lightbox-atag where-is-my-id-inside-lb">Where is my user ID?</a>
        </div>
        <div class="clearfix"></div>
        <div class="poptin-lightbox-button-wrapper text-align-center">
            <div class="poptin-lightbox-button" data-dismiss="modal">Try again</div>
        </div>
    </div>
</div>

<form action="https://app.popt.in/login" method="GET" class="dummy_form" id="dummy_form" target="_blank">

</form>
