<?php
// Licensed under the GPL v2&

// no direct access
defined('_JEXEC') or die('Restricted access');

jimport('joomla.plugin.plugin');

class plgSystemPoptin extends JPlugin
{
    function onAfterRender()
    {
        $app = JFactory::getApplication();

        if ($app->isAdmin()) {
            return;
        }

        $params = JComponentHelper::getParams('com_poptin');
        $poptinClientId = $params->get('poptin_client_id');

        if (!empty($poptinClientId)) {
            $buffer = JResponse::getBody();
            $javascript = "<script id='pixel-script-poptin' src='https://cdn.popt.in/pixel.js?id=" . $poptinClientId . "' async='true'></script>";
            $buffer = preg_replace("/<\/head>/", "\n\n" . $javascript . "\n\n</head>", $buffer);
            JResponse::setBody($buffer);
        }
        return true;
    }
}
